import 'tdesign-react/es/style/index.css'
import './App.css'
import { Image, Layout, Menu, Space } from 'tdesign-react'
import { useRoutes } from 'react-router-dom'
import routes from './routes'
import logo from './assets/logo.webp'
import { useEffect } from 'react'

const { Header, Content, Footer, Aside } = Layout
const { HeadMenu, MenuItem } = Menu

function App() {

  const element = useRoutes(routes)

  return (
    <Layout style={{ height: '100vh' }}>
      <Header>
        <Space>
          <HeadMenu logo={<Image src={logo} style={{ height: 56 }} />} />
          <h1 className='title'>李洪东积木动力修复技术</h1>
        </Space>
      </Header>
      <Content style={{ padding: 20, flex: 1, overflowY: 'hidden' }}>
        <div style={{ background: '#fff', height: '100%', overflowY: 'auto' }}>
          {
            element
          }
        </div>
      </Content>
      <Footer><p style={{ textAlign: 'center' }}>李洪东<sup>®</sup>积木动力修复技术</p></Footer>
    </Layout>
  )
}

export default App
